//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblAttendanceMonth
    {
        public string YM { get; set; }
        public int HouseCd { get; set; }
        public int InHouseCd { get; set; }
        public int TeacherCd { get; set; }
        public Nullable<int> TeacherNo { get; set; }
        public string TeacherName { get; set; }
        public Nullable<byte> TeacherKbn { get; set; }
        public Nullable<short> Sex { get; set; }
        public Nullable<System.DateTime> InDate { get; set; }
        public Nullable<short> SubjectCd01 { get; set; }
        public Nullable<short> SubjectCd02 { get; set; }
        public Nullable<short> SubjectCd03 { get; set; }
        public Nullable<short> SubjectCd04 { get; set; }
        public Nullable<short> SubjectCd05 { get; set; }
        public Nullable<short> SubjectCd06 { get; set; }
        public Nullable<short> SubjectCd07 { get; set; }
        public Nullable<short> SubjectCd08 { get; set; }
        public Nullable<short> SubjectCd09 { get; set; }
        public Nullable<short> SubjectCd10 { get; set; }
        public Nullable<short> JH_SubjectCd01 { get; set; }
        public Nullable<short> JH_SubjectCd02 { get; set; }
        public Nullable<short> JH_SubjectCd03 { get; set; }
        public Nullable<short> JH_SubjectCd04 { get; set; }
        public Nullable<short> JH_SubjectCd05 { get; set; }
        public Nullable<short> JH_SubjectCd06 { get; set; }
        public Nullable<short> JH_SubjectCd07 { get; set; }
        public Nullable<short> JH_SubjectCd08 { get; set; }
        public Nullable<short> JH_SubjectCd09 { get; set; }
        public Nullable<short> JH_SubjectCd10 { get; set; }
        public Nullable<int> KomaFull { get; set; }
        public Nullable<int> Koma11 { get; set; }
        public Nullable<int> Koma12 { get; set; }
        public Nullable<int> KomaJH11 { get; set; }
        public Nullable<int> KomaJH12 { get; set; }
        public Nullable<int> KomaPast { get; set; }
        public Nullable<int> Work { get; set; }
        public Nullable<int> ExKomaFull { get; set; }
        public Nullable<int> ExKoma11 { get; set; }
        public Nullable<int> ExKoma12 { get; set; }
        public Nullable<int> ExKomaJH11 { get; set; }
        public Nullable<int> ExKomaJH12 { get; set; }
        public Nullable<int> ExKomaPast { get; set; }
        public Nullable<int> ExWork { get; set; }
        public Nullable<int> Expense { get; set; }
        public Nullable<int> Fuka { get; set; }
        public Nullable<int> Mikakutei { get; set; }
        public Nullable<int> Kuhaku { get; set; }
        public Nullable<int> Ninzu { get; set; }
        public Nullable<decimal> SenyuRitu { get; set; }
        public Nullable<short> ActSign { get; set; }
        public Nullable<short> RestFlg { get; set; }
        public Nullable<System.DateTime> UpdStampDate { get; set; }
        public string UpdStampId { get; set; }
        public Nullable<System.DateTime> InsStampDate { get; set; }
        public string InsStampId { get; set; }
    }
}
